Skip to content

Change a password

PUT
/v1/merchants/{merchant_id}/users/{user_id}/password/

Changes the password of a logged-in user, with the current password. Ends the trusted devices of the user.

Authorization

apiKey
headerAuthorizationBasic <token>

HTTP Basic authentication with an API key or the id of a user token as the username and an empty password.

Path Parameters

merchant_id*string

The ID of the merchant, or self for the merchant of the credentials.

user_id*string

The ID of the user, or self for the user of the token.

Request Body

application/json
  1. body
current*string

The current password.

new*string

The new password. It must meet the password policy of your platform.

Response Body

The password is changed.

curl -X PUT 'https://api.example.com/v1/merchants/self/users/self/password/' \  --user "$API_KEY:" \  -H 'Content-Type: application/json' \  -d '{  "current": "correct-Horse-battery-7",  "new": "new-Correct-horse-8"}'
Empty